
QGIS Application - Bug report #9572

legend of categorized renderer of layers with joins incorrect

2014-02-16 08:08 AM - Antonio Valanzano

Status: Closed

Priority: Normal

Assignee:

Category: Symbology

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: duplicate

Crashes QGIS or corrupts data:No Copied to github as #: 18155

Description

I have noticed a not correct display of categorized type legend using

joined fields.

If I use one of the joined field for the legend  then QGIS shows all the

values of the joined table and not only the values which are present in the

main table after the join.

History

#1 - 2014-02-16 08:17 AM - Jürgen Fischer

- Subject changed from legend to legend of categorized renderer of layers with joins incorrect

#2 - 2014-02-16 01:18 PM - Giovanni Manghi

- Affected QGIS version changed from 2.0.1 to master

- Target version set to Version 2.2

- Category set to Symbology

Confirmed on master.

#3 - 2014-06-28 07:36 AM - Jürgen Fischer

- Target version changed from Version 2.2 to Future Release - Lower Priority

#4 - 2016-06-09 09:04 PM - Nyall Dawson

- Status changed from Open to Closed

- Resolution set to duplicate

Duplicate of #9051

2024-03-20 1/1


